package org.rcisoft.business.ScheduledTask.Controller;


/*固定导入*/


import io.swagger.v3.oas.annotations.Operation;
import org.rcisoft.business.ScheduledTask.entity.ScheduledTask;
import org.rcisoft.business.ScheduledTask.service.ScheduledTaskService;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.util.CyResultGenUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
* Created by cy on 2025年1月6日 下午1:44:44.
*/
@RestController
@RequestMapping("/scheduledTask")
public class ScheduledTaskController{

    @Autowired
    private ScheduledTaskService scheduledTaskServiceImpl;

    @PreAuthorize("@cyPerm.hasPerm('sys:scheduledTask:list')")
    @CyOpeLogAnno(title = "system-定时任务管理-查询定时任务", businessType = CyLogTypeEnum.QUERY)
    @Operation(summary="查询所有定时任务列表", description="查询所有定时任务列表")
    @GetMapping(value = "/scheduledTaskList")
    public CyResult scheduledTaskList(ScheduledTask scheduledTask) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                scheduledTaskServiceImpl.scheduledTaskList(scheduledTask));
    }

    @PreAuthorize("@cyPerm.hasPerm('sys:scheduledTask:list')")
    @CyOpeLogAnno(title = "system-定时任务管理-手动执行定时任务", businessType = CyLogTypeEnum.QUERY)
    @Operation(summary="手动执行定时任务", description="手动执行定时任务")
    @GetMapping(value = "/executeScheduledTask/{type:\\w+}")
    public CyResult executeScheduledTask(@PathVariable String type) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                scheduledTaskServiceImpl.executeScheduledTask(type));
    }
}
