package org.rcisoft.business.ScheduledTask.service.impl;


import lombok.extern.slf4j.Slf4j;
import org.rcisoft.business.ScheduledTask.entity.ScheduledTask;
import org.rcisoft.business.ScheduledTask.service.ScheduledTaskService;
import org.rcisoft.business.cmsOrder.service.impl.CmsOrderServiceImpl;
import org.rcisoft.business.memInfo.service.impl.MemInfoServiceImpl;
import org.rcisoft.business.memLeaveMessage.service.impl.MemLeaveMessageServiceImpl;
import org.rcisoft.business.memTraffic.service.impl.MemTrafficServiceImpl;
import org.rcisoft.business.opmTopic.service.impl.OpmTopicServiceImpl;
import org.rcisoft.core.model.CyPersistModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by cy on 2025年2月20日 上午11:14:19.
 */
@Service
@Transactional(readOnly = true,propagation = Propagation.NOT_SUPPORTED)
@Slf4j
public class ScheduledTaskServiceImpl implements ScheduledTaskService {

    @Autowired
    private MemInfoServiceImpl memInfoService;
    @Autowired
    private CmsOrderServiceImpl orderService;
    @Autowired
    private MemLeaveMessageServiceImpl memLeaveMessageService;
    @Autowired
    private MemTrafficServiceImpl memTrafficService;
    @Autowired
    private OpmTopicServiceImpl opmTopicServiceImpl;



    @Override
    public List<ScheduledTask> scheduledTaskList(ScheduledTask ScheduledTask) {
        List<ScheduledTask> scheduledTaskList = new ArrayList<>();
        //1、订单落库定时任务 type：1
        ScheduledTask task1 = new ScheduledTask();
        task1.setTaskName("订单落库定时任务");
        task1.setTaskTime("每1分钟执行一次");
        task1.setType("1");
        //2、订单落库定时任务 type：1
        ScheduledTask task2 = new ScheduledTask();
        task2.setTaskName("订单关闭定时任务");
        task2.setTaskTime("每1分钟执行一次");
        task2.setType("2");
        //3、订单落库定时任务 type：1
        ScheduledTask task3 = new ScheduledTask();
        task3.setTaskName("支付确认补救定时任务");
        task3.setTaskTime("每15分钟执行一次");
        task3.setType("3");
        //4、订单落库定时任务 type：1
        ScheduledTask task4 = new ScheduledTask();
        task4.setTaskName("退款接口调用补救定时任务");
        task4.setTaskTime("每30分钟执行一次");
        task4.setType("4");
        //5、订单落库定时任务 type：1
        ScheduledTask task5 = new ScheduledTask();
        task5.setTaskName("退款确认补救定时任务");
        task5.setTaskTime("每30分钟执行一次");
        task5.setType("5");
        //6、订单落库定时任务 type：1
        ScheduledTask task6 = new ScheduledTask();
        task6.setTaskName("订单缓存清除定时任务");
        task6.setTaskTime("每天1点执行一次");
        task6.setType("6");
        //7、订单落库定时任务 type：1
        ScheduledTask task7 = new ScheduledTask();
        task7.setTaskName("定时更新访问量表定时任务");
        task7.setTaskTime("每15分钟执行一次");
        task7.setType("7");
        //8、订单落库定时任务 type：1
        ScheduledTask task8 = new ScheduledTask();
        task8.setTaskName("定时更新话题表定时任务");
        task8.setTaskTime("每2小时执行一次");
        task8.setType("8");
        //9、订单落库定时任务 type：1
        ScheduledTask task9 = new ScheduledTask();
        task9.setTaskName("定时更新会员表定时任务");
        task9.setTaskTime("每2小时执行一次");
        task9.setType("9");
        scheduledTaskList.add(task1);
        scheduledTaskList.add(task2);
        scheduledTaskList.add(task3);
        scheduledTaskList.add(task4);
        scheduledTaskList.add(task5);
        scheduledTaskList.add(task6);
        scheduledTaskList.add(task7);
        scheduledTaskList.add(task8);
        scheduledTaskList.add(task9);
        return scheduledTaskList;
    }

    @Override
    public CyPersistModel executeScheduledTask(String type) {
        int line = 0;
        if (type.equals("1")){
            try{
               orderService.executeInsertOrder();
               line = 1;
            } catch (Exception e){
                log.error(e.getMessage());
            }
        } else if (type.equals("2")){
            try{
                orderService.executeCloseOrder();
                line = 1;
            } catch (Exception e){
                log.error(e.getMessage());
            }
        } else if (type.equals("3")){
            try{
                orderService.executePayOrder();
                line = 1;
            } catch (Exception e){
                log.error(e.getMessage());
            }
        } else if (type.equals("4")){
            try{
                orderService.executeRefundOrder();
                line = 1;
            } catch (Exception e){
                log.error(e.getMessage());
            }
        } else if (type.equals("5")){
            try{
                orderService.executeRefundConfirmOrder();
                line = 1;
            } catch (Exception e){
                log.error(e.getMessage());
            }
        } else if (type.equals("6")){
            try{
                orderService.executeDeleteOrder();
                line = 1;
            } catch (Exception e){
                log.error(e.getMessage());
            }
        } else if (type.equals("7")){
            try{
                memTrafficService.memTrafficSchedule();
                line = 1;
            } catch (Exception e){
                log.error(e.getMessage());
            }
        } else if (type.equals("8")){
            try{
                opmTopicServiceImpl.opmTopicSchedule();
                line = 1;
            } catch (Exception e){
                log.error(e.getMessage());
            }
        } else if (type.equals("9")){
            try{
                memInfoService.refreshMemLikeAndFollowCountSchedule();
                line = 1;
            } catch (Exception e){
                log.error(e.getMessage());
            }
        }
        return new CyPersistModel(1);
    }
}
