package org.rcisoft.business.cmsApplication.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmsActivity.entity.CmsActivity;
import org.rcisoft.business.cmsApplication.entity.CmsApplication;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
* Created with cy on 2024年3月25日 下午1:42:40.
 * @author wangFeilong
 */

public interface CmsApplicationRepository extends CyBaseMapper<CmsApplication> {


    //根据id逻辑删除
    int deleteCmsApplication(@Param("businessId")Integer businessId);
    //修改状态
    int updateStatus(@Param("entity") CmsActivity cmsActivity);

    CmsApplication findByBusinessId(@Param("businessId") Integer businessId);

    List<CmsApplication> queryCmsApplication(@Param("entity") CmsApplication cmsApplication);
    //web端报名查询
    IPage<CmsApplication> queryCmsApplicationPaged(CyPageInfo cyPageInfo, @Param("entity") CmsApplication cmsApplication);
    //app端报名查询
    IPage<CmsApplication> appQueryCmsApplicationPaged(CyPageInfo<CmsApplication> paginationUtility,@Param("entity") CmsApplication cmsApplication);

    CmsApplication selectByOrderId(Long orderId);

    List<CmsApplication> queryExport(@Param("entity") CmsApplication cmsApplication);
}

