package org.rcisoft.business.cmsNotice.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Created with cy on 2024年3月25日 下午1:42:40.
 *
 * @author
 */
@Data
@TableName("cms_notice")
public class CmsNotice extends CyIdIncreEntity<CmsNotice> {
    /**
     * @desc 标题
     * @column title
     * @default
     */
    @Excel(name = "标题")
    private String title;

    /**
     * @desc 封面
     * @column picture_id
     * @default
     */
    @Excel(name = "封面")
    private Integer pictureId;

    /**
     * @desc 是否置顶
     * @column is_top
     * @default
     */
    @Excel(name = "是否置顶")
    private Integer isTop;

    /**
     * @desc 是否推荐
     * @column is_recommended
     * @default
     */
    @Excel(name = "是否推荐")
    private Integer isRecommended;

    /**
     * @desc 排序
     * @column weight
     * @default
     */
    @Excel(name = "排序")
    private Integer weight;

    /**
     * @desc 发布日期
     * @column publish_date
     * @default
     */
    @Excel(name = "发布日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date publishDate;


    /**
     * @desc 内容
     * @column details
     * @default
     */
    @Excel(name = "内容")
    private String details;

    /**
     * @desc 摘要
     * @column summary
     * @default
     */
    @Excel(name = "摘要")
    private String summary;

    /**
     * 开始时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String beginTime;

    /**
     * 结束时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String endTime;

    @TableField(exist = false)
    private String nickName;

    @TableField(exist = false)
    private String url;
}


