package org.rcisoft.business.opmBlacklist.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.core.entity.CyIdIncreNotDataEntity;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2025年2月10日 上午9:46:37.
*/
@Data
@TableName("opm_black_list")
public class OpmBlackList  extends CyIdIncreNotDataEntity<OpmBlackList> {
     /**
     * @desc 创建时间
     * @column create_date
     * @default
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd HH:mm:ss"
     )
     @Excel(name = "创建时间", orderNum = "0", width = 20, format = "yyyy-MM-dd HH:mm:ss")
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date createDate;

     /**
     * @desc 用户id
     * @column user_id
     * @default
     */
     @Excel(name = "用户id", orderNum = "1", width = 20)
     private BigInteger userId;

     /**
     * @desc 目标id
     * @column target_id
     * @default
     */
     @Excel(name = "目标id", orderNum = "2", width = 20)
     private BigInteger targetId;

     /**
     * 开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;


     /**
      * 会员ID
      */
     @TableField(exist = false)
     private Integer memberId;

     /**
      * 头像ID
      */
     @TableField(exist = false)
     private Integer avatar;


     /**
      * 头像URL
      */
     @TableField(exist = false)
     private String avatarUrl;

     /**
      * 会员昵称
      */
     @TableField(exist = false)
     private String memNickName;

     /**
      * 目标会员昵称
      */
     @TableField(exist = false)
     private String targetName;
}

