package org.rcisoft.business.sysScheduledTaskLog.entity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2025年2月20日 上午11:14:19.
*/
@Data
@TableName("sys_scheduled_task_log")
public class SysScheduledTaskLog  extends CyIdNotDataEntity<SysScheduledTaskLog> {


     /**
     * @desc 任务名称
     * @column task_name
     * @default 
     */
     @Excel(name = "任务名称", orderNum = "0", width = 20)
     private String taskName;

     /**
     * @desc 任务执行时间
     * @column task_time
     * @default 
     */
     private String taskTime;

     /**
     * @desc 创建时间
     * @column create_date
     * @default 
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd HH:mm:ss"
     )
     @Excel(name = "创建时间", orderNum = "2", width = 20, format = "yyyy-MM-dd HH:mm:ss")
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date createDate;

     /**
     * @desc 执行情况
     * @column task_state
     * @default 
     */
     @Excel(name = "执行情况", orderNum = "3", width = 20)
     private String taskState;

     /**
     * @desc 备注
     * @column remarks
     * @default 
     */
     @Excel(name = "备注", orderNum = "4", width = 20)
     private String remarks;

     /**
     * 开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;

}

